<template>
  <div
    class="product product-library follower_container"
    :class="{ 'with-series': displaySeries }"
  >
    <div class="follower_follower">
      <div class="follower_avatar">
        <router-link
          :to="{
            name: isSubscription ? 'profilAbo' : 'profil',
            params: { id: follower.id }
          }"
        >
          <img :src="'/fr/images/avatar/' + follower.id + '-86x86.jpg'" />
        </router-link>
      </div>
      <div v-if="follower.isFollower" class="follower_followsyou">
        {{ $t('followers.followsyou') }}
      </div>
      <div
        v-if="follower.public"
        class="follower_issuperreader text text--sm"
        :class="{
          'text--tertiary': isSubscription,
          'text--secondary': !isSubscription
        }"
      >
        <span v-if="follower.public.isSuperReader">{{
          $t('followers.superreader')
        }}</span>
      </div>
      <div class="text--sm text--bold">
        <router-link
          class="follower_name"
          :to="{
            name: isSubscription ? 'profilAbo' : 'profil',
            params: { id: follower.id }
          }"
          >{{ follower.login }}</router-link
        >
      </div>
      <div v-if="follower.public" class="text--sm">
        {{
          $tc('followers.followers', follower.public.followers, {
            count: follower.public.followers
          })
        }}
      </div>
      <div class="follower_comment"></div>
      <button
        v-if="follower.public"
        class="button button_sm follower_button"
        :class="{
          button_shape: follower.isFollowee,
          button_full: !follower.isFollowee
        }"
        @click="follow()"
      >
        {{
          follower.isFollowee
            ? $t('followers.unfollow')
            : $t('followers.follow')
        }}
      </button>
    </div>
    <div
      v-if="displaySeries"
      class="follower_albums"
      :class="{ 'products-slider': follower.public.thumbs.length > 4 }"
    >
      <smallalbum
        v-for="(album, key) in follower.public.thumbs"
        :key="key"
        :album="album"
        :display-genre="true"
      ></smallalbum>
    </div>
  </div>
</template>

<script>
import smallalbum from '@/components/SmallAlbum'
export default {
  name: 'Follower',
  components: { smallalbum },
  props: {
    follower: {
      type: Object,
      default: undefined
    },
    displaySeries: {
      type: Boolean,
      default: false
    },
    isSubscription: {
      type: Boolean,
      default: false
    }
  },
  mounted: function () {
    this.loadSeries()
  },
  methods: {
    follow: function () {
      fetch(
        '/' +
          this.$i18n.locale +
          '/api/' +
          (this.follower.isFollowee ? 'unfollow' : 'follow') +
          '/user/' +
          this.follower.id
      )
        .then((response) => {
          if (response.status == 200) {
            this.follower.isFollowee = !this.follower.isFollowee

            if (this.follower.isFollowee) {
              this.follower.public.followers++
            } else {
              this.follower.public.followers--
            }
          }
        })
        .catch((err) => console.error(err))
    },
    loadSeries: function () {
      if (this.displaySeries && this.follower.public.thumbs.length > 4) {
        this.utils.loadSlick('.follower_albums.products-slider', 5, false)
      }
    }
  }
}
</script>

<style scoped lang="scss">
.follower_container {
  width: 360px;
  max-width: 360px;

  &.with-series {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    max-width: 100%;
    .follower_follower {
      height: 285px;
      width: 25%;
      margin: 0px;
    }

    .follower_button {
      bottom: 30px;
    }

    .follower_albums {
      width: 75%;
      .smallalbum {
        padding-left: 20px;
        padding-right: 20px;
      }
    }
    &:hover {
      background: none;
    }
  }

  @media only screen and (max-width: 767px) {
    width: 100%;

    &.with-series {
      flex-direction: column;
      .follower_follower,
      .follower_albums {
        width: 100%;
        margin: 0px;
      }
    }

    .follower_albums {
      text-align: center;
    }
  }
}

.follower_name {
  height: 25px;
  padding: 0px !important;
}

.follower_follower {
  background-color: #f8f8f8;
  position: relative;
  text-align: center;
  font-family: Arial;
  padding: 20px 10px;
  height: 260px;
  margin: 0px 10px;
}

.follower_issuperreader {
  min-height: 1.73em;
}

.follower_avatar img {
  width: 86px;
  border-radius: 50%;
  display: initial !important;
}
.follower_followsyou {
  background-color: #fff3db;
  border-radius: 8px;
  height: 16px;
  font-family: DINCond-Bold;
  font-size: 11px;
  color: #ff641e;
  position: absolute;
  top: 70px;
  left: 50%;
  line-height: 18px;
  padding: 0px 5px;
}

.is-subscribed .follower_followsyou {
  background-color: #ebf7f6;
  color: #1d968f;
}

.follower_comment {
  height: 40px;
  font-size: 12px;
  color: #3e3e3e;
}

.follower_button {
  position: absolute;
  bottom: 15px;
  right: 0px;
  left: 0px;
  margin: auto;
  width: 130px;
  padding: 12px;
}

a,
.pagination_page,
.pagination_arrow,
.button,
.filters li {
  cursor: pointer;
}
</style>
